summary refs log tree commit diff
path: root/scripts-dev/config-lint.sh
diff options
context:
space:
mode:
authorDan Callahan <danc@element.io>2021-10-22 23:07:23 +0100
committerDan Callahan <danc@element.io>2021-10-22 23:08:55 +0100
commitd7141e0b8b945047b37b8ca093ed0bfd63724a25 (patch)
treeaa05884eef374f88734a767287b6ffef4445fcb5 /scripts-dev/config-lint.sh
parentFix Shellcheck SC2129: Consider using {..} >> file (diff)
downloadsynapse-d7141e0b8b945047b37b8ca093ed0bfd63724a25.tar.xz
Fix Shellcheck SC2006: Use $(...) notation
Use $(...) notation instead of legacy backticked `...`.

https://github.com/koalaman/shellcheck/wiki/SC2006

Signed-off-by: Dan Callahan <danc@element.io>
Diffstat (limited to 'scripts-dev/config-lint.sh')
-rwxr-xr-xscripts-dev/config-lint.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts-dev/config-lint.sh b/scripts-dev/config-lint.sh
index 7fb6ab68ef..6ce030b819 100755
--- a/scripts-dev/config-lint.sh
+++ b/scripts-dev/config-lint.sh
@@ -3,7 +3,7 @@
 # Exits with 0 if there are no problems, or another code otherwise.
 
 # cd to the root of the repository
-cd "`dirname "$0"`/.." || exit
+cd "$(dirname "$0")/.." || exit
 
 # Restore backup of sample config upon script exit
 trap "mv docs/sample_config.yaml.bak docs/sample_config.yaml" EXIT